package router

import (
	"fonchain-fiee/pkg/middleware"
	"fonchain-fiee/pkg/service"
	serviceCast "fonchain-fiee/pkg/service/cast"
	"github.com/gin-gonic/gin"
)

func MediaRouter(r *gin.RouterGroup) {
	//noAuth := r.Group("")
	auth := r.Group("")
	auth.Use(middleware.CheckWebLogin(service.AccountProvider))
	media := auth.Group("media")
	{
		media.POST("user-list", serviceCast.MediaUserList)
		media.POST("unbind-manager", serviceCast.UnbindManager)
		media.POST("bind-manager", serviceCast.BindManager)
		media.POST("update-account", serviceCast.UpdateMediaAccount)
		media.POST("oauth-url", serviceCast.OAuthUrl)
	}
	mediaNoLogin := r.Group("media")
	{
		mediaNoLogin.GET("oauth2callback", serviceCast.OAuth2Callback)
	}

	work := auth.Group("work")
	{
		work.POST("update-work-image", serviceCast.UpdateWorkImage)
		work.POST("update-work-video", serviceCast.UpdateWorkVideo)
		work.POST("update-approval", serviceCast.UpdateApproval)
		work.POST("list", serviceCast.WorkList)
		work.POST("detail", serviceCast.WorkDetail)
		work.POST("republish", serviceCast.RePublish)
		work.POST("delete", serviceCast.DelWork)
		work.POST("remind", serviceCast.Remind)
	}
}
